Loading...
Searching...
No Matches
simple_test_runner.cpp File Reference
`#include "cxxtest/TestListener.h"`
`#include "cxxtest/TestTracker.h"`
`#include "cxxtest/TestRunner.h"`
`#include "cxxtest/RealDescriptions.h"`
`#include "cxxtest/ErrorPrinter.h"`
`#include "./simple_test.h"`
`#include "cxxtest/Root.cpp"`

Go to the source code of this file.

## Data Structures

class | TestDescription_SimplestTestSuite_testMyTest
class | TestDescription_SimplestTestSuite_testSIZEOFLONG

## Macros

#define | CXXTEST_RUNNING
#define | _CXXTEST_HAVE_STD

## Functions

int | main (int, char *argv[])

## Variables

char * | argv0 = NULL
static SimplestTestSuite | suite_SimplestTestSuite
static CxxTest::List | Tests_SimplestTestSuite = { 0, 0 }
CxxTest::StaticSuiteDescription | suiteDescription_SimplestTestSuite ("./simple_test.h", 3, "SimplestTestSuite", suite_SimplestTestSuite, Tests_SimplestTestSuite)
TestDescription_SimplestTestSuite_testMyTest | testDescription_SimplestTestSuite_testMyTest
TestDescription_SimplestTestSuite_testSIZEOFLONG | testDescription_SimplestTestSuite_testSIZEOFLONG

## Macro Definition Documentation

## _CXXTEST_HAVE_STD

#define _CXXTEST_HAVE_STD

Definition at line 7 of file simple_test_runner.cpp.

## CXXTEST_RUNNING

#define CXXTEST_RUNNING

Definition at line 4 of file simple_test_runner.cpp.

## Function Documentation

## main()

int main | ( | int | ,
|  | char * | argv[] )

Definition at line 15 of file simple_test_runner.cpp.

{
argv0 = argv[0];
return CxxTest::ErrorPrinter().run();
}
CxxTest::ErrorFormatter::run
int run()
Definition ErrorFormatter.h:45
CxxTest::ErrorPrinter
Definition ErrorPrinter.h:29
argv0
char * argv0
Definition coeffs_test_runner.cpp:14

## Variable Documentation

## argv0

char* argv0 = NULL

Definition at line 14 of file simple_test_runner.cpp.

## suite_SimplestTestSuite

SimplestTestSuite suite_SimplestTestSuite

static

Definition at line 21 of file simple_test_runner.cpp.

## suiteDescription_SimplestTestSuite

CxxTest::StaticSuiteDescription suiteDescription_SimplestTestSuite("./simple_test.h", 3, "SimplestTestSuite", suite_SimplestTestSuite, Tests_SimplestTestSuite) | ( | "./simple_test.h" | ,
|  | 3 | ,
|  | "SimplestTestSuite" | ,
|  | suite_SimplestTestSuite | ,
|  | Tests_SimplestTestSuite | )

## testDescription_SimplestTestSuite_testMyTest

TestDescription_SimplestTestSuite_testMyTest testDescription_SimplestTestSuite_testMyTest

static

## testDescription_SimplestTestSuite_testSIZEOFLONG

TestDescription_SimplestTestSuite_testSIZEOFLONG testDescription_SimplestTestSuite_testSIZEOFLONG

static

## Tests_SimplestTestSuite

CxxTest::List Tests_SimplestTestSuite = { 0, 0 }

static

Definition at line 23 of file simple_test_runner.cpp.

{ 0, 0 };